#!/bin/bash

DIR=$*

source settings.sh 

AMOUNT_OPTIONS=${#OPTIONS[@]}
i=0

export CURR=$PWD

printf "model, states full, states Jen, states Inc, time O3 jen, time O3 Inc, time O0 Jen, time O0 Inc\n"
for i in `ls -1 $CURR/ | grep "\.pm$"`
do	
	CNT=$((CNT+1));

	j=0	
	
	for j in 0 5 6 20 21
	do    	
                if test -e $DIR/$j.$i.touched; then
			TUSER=`cat $DIR/time.$j.$i | grep user | cut -d ' ' -f 2`
			TSYS=`cat $DIR/time.$j.$i | grep sys | cut -d ' ' -f 2`
			TTIME[$j]=`echo "scale=2; $TUSER + $TSYS" | bc -l`

			#DEPTH=`cat $DIR/panout.$j.$i | grep "depth reached" | cut -d ' ' -f 6 | awk '{sub(",$", "", $0); print $0}'`
			#ERRORS=`cat $DIR/panout.$j.$i |  grep "errors" | cut -d ' ' -f 8 | awk '{sub(",$", "", $0); print $0}'`
			STATES[$j]=`cat $DIR/panout.$j.$i | grep "states, stored" | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`
			#MATCHED=`cat $DIR/panout.$j.$i | grep "states, matched" | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`
			#HASHFACT=`cat $DIR/panout.$j.$i | grep "hash factor"  | cut -d ' ' -f 3`
			MEMUSE[$j]=`cat $DIR/panout.$j.$i | grep "total actual memory usage" | awk '{sub("^ *", "", $0); print $0}' | cut -f 1`
		
			#OOM=`cat $DIR/panout.$j.$i | grep "out of memory"`
		
			#export COPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 1`
			#export POPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 2`
			
			#printf "$i;$j;'$COPT;'$POPT;$TTIME;$STATES;$MATCHED;$TRANS;$DEPTH;$SVCOMP;$ERRORS;$OOM;$HASHCOL;$HASHFACT;$MEMUSE\n"
			#HASHCOL[$j]=`cat $DIR/panout.$j.$i | grep "hash conflicts" | cut -d ':' -f 2 | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`
		fi;
	done

	printf "$i, ${STATES[0]}, ${STATES[5]}, ${STATES[6]}, ${TTIME[5]}, ${TTIME[6]}, ${TTIME[20]}, ${TTIME[21]}\n"
done
