#!/bin/sh


DIR=$*
source settings.sh

AMOUNT_OPTIONS=${#OPTIONS[@]}
i=0

export CURR=$PWD

printf "name, copt, compress, hstore, bstore_reg, d_sfh, d_hash, new_state, c_hash, emalloc, do_transit\n" 

for i in `ls -1 $CURR/ | grep "\.pm$"`
do
        CNT=$((CNT+1));

        j=0

        while [ "$j" -lt "$AMOUNT_OPTIONS" ]
        do		
		
		COMPRESS=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep compress | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$COMPRESS" == "" ]; then
			COMPRESS=0;
		fi;
		HSTORE=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep hstore | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$HSTORE" == "" ]; then
			HSTORE=0;
		fi;

		DHASH=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep d_hash | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$DHASH" == "" ]; then
			DHASH=0;
		fi;

		DSFH=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep d_sfh | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$DSFH" == "" ]; then
			DSFH=0;
		fi;


		NEWSTATE=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep new_state | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$NEWSTATE" == "" ]; then
			NEWSTATE=0;
		fi;

		CHASH=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep c_hash | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$CHASH" == "" ]; then
			CHASH=0;
		fi;

		EMALLOC=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep emalloc| awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$EMALLOC" == "" ]; then
			EMALLOC=0;
		fi;

		DOTRANSIT=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep do_transit | awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$DOTRANSIT" == "" ]; then
			DOTRANSIT=0;
		fi;

		BSTOREREG=`cat $DIR/gprof.$j.$i | grep "Each sample counts" -A 15 | grep bstore_reg| awk '{sub("^ *", "", $0); print $0}' | cut -d ' ' -f 1`	
		if [ "$BSTOREREG" == "" ]; then
			BSTOREREG=0;
		fi;


		export COPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 1`
		export POPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 2`

		printf "$i, '$COPT, $COMPRESS, $HSTORE, $BSTOREREG, $DSFH, $DHASH, $NEWSTATE, $CHASH, $EMALLOC, $DOTRANSIT\n" 
	
		let "j = $j + 1"
	done
done
