#!/bin/bash

source settings.sh

AMOUNT_OPTIONS=${#OPTIONS[@]}
i=0

export CURR=$PWD
echo $PWD;
cd /tmp

for i in `ls -1 $CURR/ | grep "\.pm$"`
do	
	CNT=$((CNT+1));

	j=0	
	while [ "$j" -lt "$AMOUNT_OPTIONS" ]
	do    	
		if test ! -e $CURR/results/$j.$i.touched; then
			touch $CURR/results/$j.$i.touched
			echo "$CNT/$TOTAL $i with ${OPTIONS[$j]} code $j"  > $CURR/results/$j.$i.touched
			echo "$CNT/$TOTAL $i with ${OPTIONS[$j]} code $j" 
			
			export COPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 1`
			export POPT=`echo ${OPTIONS[$j]} | cut -d '|' -f 2`
			
			echo $COPT;
			echo $POPT;
			spin -a $CURR/$i > $CURR/results/spingen.$j.$i 2>&1
			/usr/bin/time -o $CURR/results/timecc.$j.$i -p cc $GCCOPT $COPT -DMEMLIM=15000 -DSAFETY -o pan pan.c > $CURR/results/ccgen.$j.$i 2>&1
			/usr/bin/time -o $CURR/results/time.$j.$i -p ./pan $POPT > $CURR/results/panout.$j.$i 2>&1
			if [ "$PROFENABLED" == "true" ]; then
				gprof pan > $CURR/results/gprof.$j.$i 2>&1
			fi;
		fi;

		let "j = $j + 1"
	done
done
