#!/bin/bash

#rm -rf results
mkdir results
CNT=0;
TOTAL=`ls -1 *.pm | wc -l`

export PANFULL32="-m20000000 -c0 -n -w26"
export PANFULL64="-m20000000 -c0 -n -w28"
export PANBITSTATE32="-m20000000 -c0 -n -w32 -k3"
export PANBITSTATE64="-m20000000 -c0 -n -w36 -k3"
export PANHC32="-m20000000 -c0 -n -w27"
export PANHC64="-m20000000 -c0 -n -w29"

export BITS32="-m32 -DHASH32"
export BITS64="-m64 -DHASH64"

OPTIONS=(
"$BITS32 -DSFH -O3 			| $PANFULL32"
"$BITS32 -DSPACE -DNOCOMP -O3		| $PANFULL32"
"$BITS32 -DCHASH -DNOCOMP -O3		| $PANFULL32"
"$BITS32 -DSPACE -O3			| $PANFULL32"
"$BITS32 -DCHASH -O3			| $PANFULL32"
"$BITS32 -DBITSTATE -O3			| $PANBITSTATE32"
"$BITS32 -DBITSTATE -DCHASH -O3		| $PANBITSTATE32"
"$BITS32 -DHC -O3			| $PANHC32"
"$BITS32 -DHC -DCHASH -O3		| $PANHC32"
"$BITS64 -DSPACE -O3			| $PANFULL64"
"$BITS64 -DCHASH -O3			| $PANFULL64"
"$BITS64 -DBITSTATE -O3			| $PANBITSTATE64"
"$BITS64 -DBITSTATE -DCHASH -O3		| $PANBITSTATE64"
"$BITS64 -DHC -O3			| $PANHC64"
"$BITS64 -DHC -DCHASH -O3		| $PANHC64"

"$BITS32 -DSFH -O0 			| $PANFULL32"
"$BITS32 -DSPACE -DNOCOMP -O0		| $PANFULL32"
"$BITS32 -DCHASH -DNOCOMP -O0		| $PANFULL32"
"$BITS32 -DSPACE -O0			| $PANFULL32"
"$BITS32 -DCHASH -O0			| $PANFULL32"
"$BITS32 -DBITSTATE -O0			| $PANBITSTATE32"
"$BITS32 -DBITSTATE -DCHASH -O0		| $PANBITSTATE32"
"$BITS32 -DHC -O0			| $PANHC32"
"$BITS32 -DHC -DCHASH -O0		| $PANHC32"
"$BITS64 -DSPACE -O0			| $PANFULL64"
"$BITS64 -DCHASH -O0			| $PANFULL64"
"$BITS64 -DBITSTATE -O0			| $PANBITSTATE64"
"$BITS64 -DBITSTATE -DCHASH -O0		| $PANBITSTATE64"
"$BITS64 -DHC -O0			| $PANHC64"
"$BITS64 -DHC -DCHASH -O0		| $PANHC64"
)
